Oops when attempting register new project against team with no admins

Bug #1270141 reported by Stephen Stewart on 2014-01-17

This bug report was converted into a question: question #557408: Oops when attempting register new project against team with no admins.

22
This bug affects 3 people
Affects Status Importance Assigned to Milestone
Launchpad itself
Critical
Unassigned

Bug Description

12:33 < wgrant> beuno: It's because ~ubuntuone-hackers has no admins
12:33 < wgrant> It's trying to send the commercial subscription trial email to the team admins.
12:34 < wgrant> It should fall back to you, but it's buggy.
12:35 < wgrant> So, either create the project with a different owner and transfer it later, or get beuno to add
                himself as an admin of the team, rather than being an absentee owner.
12:35 < wgrant> And file a bug :)
12:35 < beowulf> wgrant: will do, thanks!
12:36 < beuno> wgrant, where is it missing?
12:36 < beuno> I see myself as the owner
12:36 < wgrant> https://launchpad.net/~ubuntuone-hackers/+members
12:36 < wgrant> You're an owner, but not a direct member.
12:36 < wgrant> I guess you're a member via one of the subteams
12:37 < beuno> this is not confusing at all!
12:37 < beuno> done, I think
12:37 < wgrant> (ownership doesn't imply membership, eg. the CC manages the TB but shouldn't have TB privileges)
12:37 < beuno> beowulf, try now?
12:38 < beowulf> beuno: jonas isn't in that team?
12:39 < beowulf> beuno: wgrant: works now, thanks :)

Related branches

Download full text (3.4 KiB)

OOPS-7ebcbbde547fc61bed6ae43093d436a8

AssertionError: No To: header

    Traceback (most recent call last):
  Module zope.publisher.publish, line 132, in publish
    result = publication.callObject(request, obj)
  Module lp.services.webapp.publication, line 464, in callObject
    return mapply(ob, request.getPositionalArguments(), request)
  Module zope.publisher.publish, line 107, in mapply
    return debug_call(obj, args)
   - __traceback_info__: <security proxied zope.browserpage.metaconfigure.SimpleViewClass from /srv/launchpad.net/production/launchpad-rev-16901/lib/lp/registry/browser/../templates/product-new.pt instance at 0x1543d5d0>
  Module zope.publisher.publish, line 113, in debug_call
    return obj(*args)
  Module lp.services.webapp.publisher, line 440, in __call__
    self.initialize()
  Module lp.registry.browser.pillar, line 259, in initialize
    super(PillarViewMixin, self).initialize()
  Module lp.app.browser.multistep, line 114, in initialize
    view.initialize()
  Module lp.registry.browser.product, line 1953, in initialize
    super(ProjectAddStepTwo, self).initialize()
  Module lp.app.browser.launchpadform, line 136, in initialize
    self.form_result = form_action.success(data)
  Module zope.formlib.form, line 620, in success
    return self.success_handler(self.form, self, data)
  Module lp.app.browser.multistep, line 194, in continue_action
    return self.main_action(data)
  Module lp.registry.browser.product, line 2164, in main_action
    self.product = self.create_product(data)
  Module lp.registry.browser.product, line 2149, in create_product
    project=project)
  Module lp.registry.model.product, line 1855, in createProduct
    product._setLicenses(licenses, reset_project_reviewed=False)
  Module lp.registry.model.product, line 1061, in _setLicenses
    notify(LicensesModifiedEvent(self))
  Module zope.event, line 31, in notify
    subscriber(event)
  Module zope.component.event, line 24, in dispatch
    zope.component.subscribers(event, None)
  Module zope.component._api, line 136, in subscribers
    return sitemanager.subscribers(objects, interface)
  Module zope.component.registry, line 321, in subscribers
    return self.adapters.subscribers(objects, provided)
  Module zope.interface.adapter, line 583, in subscribers
    subscription(*objects)
  Module zope.component.event, line 32, in objectEventNotify
    zope.component.subscribers((event.object, event), None)
  Module zope.component._api, line 136, in subscribers
    return sitemanager.subscribers(objects, interface)
  Module zope.component.registry, line 321, in subscribers
    return self.adapters.subscribers(objects, provided)
  Module zope.interface.adapter, line 583, in subscribers
    subscription(*objects)
  Module lp.registry.subscribers, line 34, in product_licenses_modified
    notification.send()
  Module lp.registry.subscribers, line 109, in send
    subject, message, headers={'Reply-To': commercial_address})
  Module lp.services.mail.sendmail, line 197, in simple_sendmail
    return ctrl.send()
  Module lp.services.mail.sendmail, line 317, in send
    return sendmail(self.makeMessage(), self.envelope_to, bulk=self.bulk)
  Module lp.service...

Read more...

William Grant (wgrant) on 2014-01-17
Changed in launchpad:
importance: Undecided → Critical
status: New → Triaged
tags: added: email oops projects teams trivial
Changed in launchpad:
status: Triaged → In Progress
assignee: nobody → Chris Johnston (cjohnston)
William Grant (wgrant) on 2014-12-01
Changed in launchpad:
assignee: Chris Johnston (cjohnston) → nobody
status: In Progress → Triaged
peterstan (stasnel) on 2015-08-22
Changed in launchpad:
status: Triaged → Fix Released
William Grant (wgrant) on 2015-08-23
Changed in launchpad:
status: Fix Released → Triaged
affects: launchpad → ubuntu
Colin Watson (cjwatson) on 2015-12-19
affects: ubuntu → launchpad
Thanatas (xaxadmin) on 2016-07-25
Changed in launchpad:
status: Triaged → In Progress
status: In Progress → Invalid

I can't set it back to "in progress"

Changed in launchpad:
status: Invalid → New
Colin Watson (cjwatson) on 2016-07-25
Changed in launchpad:
status: New → Triaged
Changed in launchpad:
status: Triaged → Invalid
William Grant (wgrant) on 2017-03-29
Changed in launchpad:
status: Invalid → Triaged
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers